create table Account_ (
	mvccVersion number(30,0) default 0 not null,
	accountId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	parentAccountId number(30,0),
	name VARCHAR2(75 CHAR) null,
	legalName VARCHAR2(75 CHAR) null,
	legalId VARCHAR2(75 CHAR) null,
	legalType VARCHAR2(75 CHAR) null,
	sicCode VARCHAR2(75 CHAR) null,
	tickerSymbol VARCHAR2(75 CHAR) null,
	industry VARCHAR2(75 CHAR) null,
	type_ VARCHAR2(75 CHAR) null,
	size_ VARCHAR2(75 CHAR) null
);

create table Address (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	addressId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	street1 VARCHAR2(75 CHAR) null,
	street2 VARCHAR2(75 CHAR) null,
	street3 VARCHAR2(75 CHAR) null,
	city VARCHAR2(75 CHAR) null,
	zip VARCHAR2(75 CHAR) null,
	regionId number(30,0),
	countryId number(30,0),
	typeId number(30,0),
	mailing number(1, 0),
	primary_ number(1, 0)
);

create table AnnouncementsDelivery (
	deliveryId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	type_ VARCHAR2(75 CHAR) null,
	email number(1, 0),
	sms number(1, 0),
	website number(1, 0)
);

create table AnnouncementsEntry (
	uuid_ VARCHAR2(75 CHAR) null,
	entryId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	title VARCHAR2(75 CHAR) null,
	content clob null,
	url varchar2(4000 char) null,
	type_ VARCHAR2(75 CHAR) null,
	displayDate timestamp null,
	expirationDate timestamp null,
	priority number(30,0),
	alert number(1, 0)
);

create table AnnouncementsFlag (
	flagId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	createDate timestamp null,
	entryId number(30,0),
	value number(30,0)
);

create table AssetCategory (
	uuid_ VARCHAR2(75 CHAR) null,
	categoryId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	parentCategoryId number(30,0),
	leftCategoryId number(30,0),
	rightCategoryId number(30,0),
	name VARCHAR2(75 CHAR) null,
	title varchar2(4000 char) null,
	description varchar2(4000 char) null,
	vocabularyId number(30,0),
	lastPublishDate timestamp null
);

create table AssetEntries_AssetCategories (
	companyId number(30,0) not null,
	categoryId number(30,0) not null,
	entryId number(30,0) not null,
	primary key (categoryId, entryId)
);

create table AssetEntries_AssetTags (
	companyId number(30,0) not null,
	entryId number(30,0) not null,
	tagId number(30,0) not null,
	primary key (entryId, tagId)
);

create table AssetEntry (
	entryId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	classUuid VARCHAR2(75 CHAR) null,
	classTypeId number(30,0),
	listable number(1, 0),
	visible number(1, 0),
	startDate timestamp null,
	endDate timestamp null,
	publishDate timestamp null,
	expirationDate timestamp null,
	mimeType VARCHAR2(75 CHAR) null,
	title varchar2(4000 char) null,
	description clob null,
	summary clob null,
	url varchar2(4000 char) null,
	layoutUuid VARCHAR2(75 CHAR) null,
	height number(30,0),
	width number(30,0),
	priority number(30,20),
	viewCount number(30,0)
);

create table AssetLink (
	linkId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	entryId1 number(30,0),
	entryId2 number(30,0),
	type_ number(30,0),
	weight number(30,0)
);

create table AssetTag (
	uuid_ VARCHAR2(75 CHAR) null,
	tagId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name VARCHAR2(75 CHAR) null,
	assetCount number(30,0),
	lastPublishDate timestamp null
);

create table AssetVocabulary (
	uuid_ VARCHAR2(75 CHAR) null,
	vocabularyId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name VARCHAR2(75 CHAR) null,
	title varchar2(4000 char) null,
	description varchar2(4000 char) null,
	settings_ varchar2(4000 char) null,
	lastPublishDate timestamp null
);

create table BrowserTracker (
	mvccVersion number(30,0) default 0 not null,
	browserTrackerId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	browserKey number(30,0)
);

create table ClassName_ (
	mvccVersion number(30,0) default 0 not null,
	classNameId number(30,0) not null primary key,
	value VARCHAR2(200 CHAR) null
);

create table ClusterGroup (
	mvccVersion number(30,0) default 0 not null,
	clusterGroupId number(30,0) not null primary key,
	name VARCHAR2(75 CHAR) null,
	clusterNodeIds VARCHAR2(75 CHAR) null,
	wholeCluster number(1, 0)
);

create table Company (
	mvccVersion number(30,0) default 0 not null,
	companyId number(30,0) not null primary key,
	accountId number(30,0),
	webId VARCHAR2(75 CHAR) null,
	key_ clob null,
	mx VARCHAR2(200 CHAR) null,
	homeURL varchar2(4000 char) null,
	logoId number(30,0),
	system number(1, 0),
	maxUsers number(30,0),
	active_ number(1, 0)
);

create table Contact_ (
	mvccVersion number(30,0) default 0 not null,
	contactId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	accountId number(30,0),
	parentContactId number(30,0),
	emailAddress VARCHAR2(254 CHAR) null,
	firstName VARCHAR2(75 CHAR) null,
	middleName VARCHAR2(75 CHAR) null,
	lastName VARCHAR2(75 CHAR) null,
	prefixId number(30,0),
	suffixId number(30,0),
	male number(1, 0),
	birthday timestamp null,
	smsSn VARCHAR2(75 CHAR) null,
	facebookSn VARCHAR2(75 CHAR) null,
	jabberSn VARCHAR2(75 CHAR) null,
	skypeSn VARCHAR2(75 CHAR) null,
	twitterSn VARCHAR2(75 CHAR) null,
	employeeStatusId VARCHAR2(75 CHAR) null,
	employeeNumber VARCHAR2(75 CHAR) null,
	jobTitle VARCHAR2(100 CHAR) null,
	jobClass VARCHAR2(75 CHAR) null,
	hoursOfOperation VARCHAR2(75 CHAR) null
);

create table Counter (
	name VARCHAR2(150 CHAR) not null primary key,
	currentId number(30,0)
);

create table Country (
	mvccVersion number(30,0) default 0 not null,
	countryId number(30,0) not null primary key,
	name VARCHAR2(75 CHAR) null,
	a2 VARCHAR2(75 CHAR) null,
	a3 VARCHAR2(75 CHAR) null,
	number_ VARCHAR2(75 CHAR) null,
	idd_ VARCHAR2(75 CHAR) null,
	zipRequired number(1, 0),
	active_ number(1, 0)
);

create table DLFileEntry (
	uuid_ VARCHAR2(75 CHAR) null,
	fileEntryId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	repositoryId number(30,0),
	folderId number(30,0),
	treePath varchar2(4000 char) null,
	name VARCHAR2(255 CHAR) null,
	fileName VARCHAR2(255 CHAR) null,
	extension VARCHAR2(75 CHAR) null,
	mimeType VARCHAR2(75 CHAR) null,
	title VARCHAR2(255 CHAR) null,
	description varchar2(4000 char) null,
	extraSettings clob null,
	fileEntryTypeId number(30,0),
	version VARCHAR2(75 CHAR) null,
	size_ number(30,0),
	readCount number(30,0),
	smallImageId number(30,0),
	largeImageId number(30,0),
	custom1ImageId number(30,0),
	custom2ImageId number(30,0),
	manualCheckInRequired number(1, 0),
	lastPublishDate timestamp null
);

create table DLFileEntryMetadata (
	uuid_ VARCHAR2(75 CHAR) null,
	fileEntryMetadataId number(30,0) not null primary key,
	companyId number(30,0),
	DDMStorageId number(30,0),
	DDMStructureId number(30,0),
	fileEntryId number(30,0),
	fileVersionId number(30,0)
);

create table DLFileEntryType (
	uuid_ VARCHAR2(75 CHAR) null,
	fileEntryTypeId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	fileEntryTypeKey VARCHAR2(75 CHAR) null,
	name varchar2(4000 char) null,
	description varchar2(4000 char) null,
	lastPublishDate timestamp null
);

create table DLFileEntryTypes_DLFolders (
	companyId number(30,0) not null,
	fileEntryTypeId number(30,0) not null,
	folderId number(30,0) not null,
	primary key (fileEntryTypeId, folderId)
);

create table DLFileShortcut (
	uuid_ VARCHAR2(75 CHAR) null,
	fileShortcutId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	repositoryId number(30,0),
	folderId number(30,0),
	toFileEntryId number(30,0),
	treePath varchar2(4000 char) null,
	active_ number(1, 0),
	lastPublishDate timestamp null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null
);

create table DLFileVersion (
	uuid_ VARCHAR2(75 CHAR) null,
	fileVersionId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	repositoryId number(30,0),
	folderId number(30,0),
	fileEntryId number(30,0),
	treePath varchar2(4000 char) null,
	fileName VARCHAR2(255 CHAR) null,
	extension VARCHAR2(75 CHAR) null,
	mimeType VARCHAR2(75 CHAR) null,
	title VARCHAR2(255 CHAR) null,
	description varchar2(4000 char) null,
	changeLog VARCHAR2(75 CHAR) null,
	extraSettings clob null,
	fileEntryTypeId number(30,0),
	version VARCHAR2(75 CHAR) null,
	size_ number(30,0),
	checksum VARCHAR2(75 CHAR) null,
	lastPublishDate timestamp null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null
);

create table DLFolder (
	uuid_ VARCHAR2(75 CHAR) null,
	folderId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	repositoryId number(30,0),
	mountPoint number(1, 0),
	parentFolderId number(30,0),
	treePath varchar2(4000 char) null,
	name VARCHAR2(255 CHAR) null,
	description varchar2(4000 char) null,
	lastPostDate timestamp null,
	defaultFileEntryTypeId number(30,0),
	hidden_ number(1, 0),
	restrictionType number(30,0),
	lastPublishDate timestamp null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null
);

create table EmailAddress (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	emailAddressId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	address VARCHAR2(254 CHAR) null,
	typeId number(30,0),
	primary_ number(1, 0)
);

create table ExpandoColumn (
	columnId number(30,0) not null primary key,
	companyId number(30,0),
	tableId number(30,0),
	name VARCHAR2(75 CHAR) null,
	type_ number(30,0),
	defaultData clob null,
	typeSettings clob null
);

create table ExpandoRow (
	rowId_ number(30,0) not null primary key,
	companyId number(30,0),
	modifiedDate timestamp null,
	tableId number(30,0),
	classPK number(30,0)
);

create table ExpandoTable (
	tableId number(30,0) not null primary key,
	companyId number(30,0),
	classNameId number(30,0),
	name VARCHAR2(75 CHAR) null
);

create table ExpandoValue (
	valueId number(30,0) not null primary key,
	companyId number(30,0),
	tableId number(30,0),
	columnId number(30,0),
	rowId_ number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	data_ clob null
);

create table ExportImportConfiguration (
	mvccVersion number(30,0) default 0 not null,
	exportImportConfigurationId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name VARCHAR2(200 CHAR) null,
	description varchar2(4000 char) null,
	type_ number(30,0),
	settings_ clob null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null
);

create table Group_ (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	groupId number(30,0) not null primary key,
	companyId number(30,0),
	creatorUserId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	parentGroupId number(30,0),
	liveGroupId number(30,0),
	treePath varchar2(4000 char) null,
	groupKey VARCHAR2(150 CHAR) null,
	name varchar2(4000 char) null,
	description varchar2(4000 char) null,
	type_ number(30,0),
	typeSettings clob null,
	manualMembership number(1, 0),
	membershipRestriction number(30,0),
	friendlyURL VARCHAR2(255 CHAR) null,
	site number(1, 0),
	remoteStagingGroupCount number(30,0),
	inheritContent number(1, 0),
	active_ number(1, 0)
);

create table Groups_Orgs (
	companyId number(30,0) not null,
	groupId number(30,0) not null,
	organizationId number(30,0) not null,
	primary key (groupId, organizationId)
);

create table Groups_Roles (
	companyId number(30,0) not null,
	groupId number(30,0) not null,
	roleId number(30,0) not null,
	primary key (groupId, roleId)
);

create table Groups_UserGroups (
	companyId number(30,0) not null,
	groupId number(30,0) not null,
	userGroupId number(30,0) not null,
	primary key (groupId, userGroupId)
);

create table Image (
	mvccVersion number(30,0) default 0 not null,
	imageId number(30,0) not null primary key,
	companyId number(30,0),
	modifiedDate timestamp null,
	type_ VARCHAR2(75 CHAR) null,
	height number(30,0),
	width number(30,0),
	size_ number(30,0)
);

create table Layout (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	plid number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	privateLayout number(1, 0),
	layoutId number(30,0),
	parentLayoutId number(30,0),
	name varchar2(4000 char) null,
	title varchar2(4000 char) null,
	description varchar2(4000 char) null,
	keywords varchar2(4000 char) null,
	robots varchar2(4000 char) null,
	type_ VARCHAR2(75 CHAR) null,
	typeSettings clob null,
	hidden_ number(1, 0),
	friendlyURL VARCHAR2(255 CHAR) null,
	iconImageId number(30,0),
	themeId VARCHAR2(75 CHAR) null,
	colorSchemeId VARCHAR2(75 CHAR) null,
	css clob null,
	priority number(30,0),
	layoutPrototypeUuid VARCHAR2(75 CHAR) null,
	layoutPrototypeLinkEnabled number(1, 0),
	sourcePrototypeLayoutUuid VARCHAR2(75 CHAR) null,
	lastPublishDate timestamp null
);

create table LayoutBranch (
	mvccVersion number(30,0) default 0 not null,
	layoutBranchId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	layoutSetBranchId number(30,0),
	plid number(30,0),
	name VARCHAR2(75 CHAR) null,
	description varchar2(4000 char) null,
	master number(1, 0)
);

create table LayoutFriendlyURL (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	layoutFriendlyURLId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	plid number(30,0),
	privateLayout number(1, 0),
	friendlyURL VARCHAR2(255 CHAR) null,
	languageId VARCHAR2(75 CHAR) null,
	lastPublishDate timestamp null
);

create table LayoutPrototype (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	layoutPrototypeId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name clob null,
	description clob null,
	settings_ varchar2(4000 char) null,
	active_ number(1, 0)
);

create table LayoutRevision (
	mvccVersion number(30,0) default 0 not null,
	layoutRevisionId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	layoutSetBranchId number(30,0),
	layoutBranchId number(30,0),
	parentLayoutRevisionId number(30,0),
	head number(1, 0),
	major number(1, 0),
	plid number(30,0),
	privateLayout number(1, 0),
	name varchar2(4000 char) null,
	title varchar2(4000 char) null,
	description varchar2(4000 char) null,
	keywords varchar2(4000 char) null,
	robots varchar2(4000 char) null,
	typeSettings clob null,
	iconImageId number(30,0),
	themeId VARCHAR2(75 CHAR) null,
	colorSchemeId VARCHAR2(75 CHAR) null,
	css clob null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null
);

create table LayoutSet (
	mvccVersion number(30,0) default 0 not null,
	layoutSetId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	createDate timestamp null,
	modifiedDate timestamp null,
	privateLayout number(1, 0),
	logoId number(30,0),
	themeId VARCHAR2(75 CHAR) null,
	colorSchemeId VARCHAR2(75 CHAR) null,
	css clob null,
	pageCount number(30,0),
	settings_ clob null,
	layoutSetPrototypeUuid VARCHAR2(75 CHAR) null,
	layoutSetPrototypeLinkEnabled number(1, 0)
);

create table LayoutSetBranch (
	mvccVersion number(30,0) default 0 not null,
	layoutSetBranchId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	privateLayout number(1, 0),
	name VARCHAR2(75 CHAR) null,
	description varchar2(4000 char) null,
	master number(1, 0),
	logoId number(30,0),
	themeId VARCHAR2(75 CHAR) null,
	colorSchemeId VARCHAR2(75 CHAR) null,
	css clob null,
	settings_ clob null,
	layoutSetPrototypeUuid VARCHAR2(75 CHAR) null,
	layoutSetPrototypeLinkEnabled number(1, 0)
);

create table LayoutSetPrototype (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	layoutSetPrototypeId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name varchar2(4000 char) null,
	description varchar2(4000 char) null,
	settings_ varchar2(4000 char) null,
	active_ number(1, 0)
);

create table ListType (
	mvccVersion number(30,0) default 0 not null,
	listTypeId number(30,0) not null primary key,
	name VARCHAR2(75 CHAR) null,
	type_ VARCHAR2(75 CHAR) null
);

create table MembershipRequest (
	mvccVersion number(30,0) default 0 not null,
	membershipRequestId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate timestamp null,
	comments varchar2(4000 char) null,
	replyComments varchar2(4000 char) null,
	replyDate timestamp null,
	replierUserId number(30,0),
	statusId number(30,0)
);

create table Organization_ (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	organizationId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	parentOrganizationId number(30,0),
	treePath varchar2(4000 char) null,
	name VARCHAR2(100 CHAR) null,
	type_ VARCHAR2(75 CHAR) null,
	recursable number(1, 0),
	regionId number(30,0),
	countryId number(30,0),
	statusId number(30,0),
	comments varchar2(4000 char) null,
	logoId number(30,0)
);

create table OrgGroupRole (
	mvccVersion number(30,0) default 0 not null,
	organizationId number(30,0) not null,
	groupId number(30,0) not null,
	roleId number(30,0) not null,
	companyId number(30,0),
	primary key (organizationId, groupId, roleId)
);

create table OrgLabor (
	mvccVersion number(30,0) default 0 not null,
	orgLaborId number(30,0) not null primary key,
	companyId number(30,0),
	organizationId number(30,0),
	typeId number(30,0),
	sunOpen number(30,0),
	sunClose number(30,0),
	monOpen number(30,0),
	monClose number(30,0),
	tueOpen number(30,0),
	tueClose number(30,0),
	wedOpen number(30,0),
	wedClose number(30,0),
	thuOpen number(30,0),
	thuClose number(30,0),
	friOpen number(30,0),
	friClose number(30,0),
	satOpen number(30,0),
	satClose number(30,0)
);

create table PasswordPolicy (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	passwordPolicyId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	defaultPolicy number(1, 0),
	name VARCHAR2(75 CHAR) null,
	description varchar2(4000 char) null,
	changeable number(1, 0),
	changeRequired number(1, 0),
	minAge number(30,0),
	checkSyntax number(1, 0),
	allowDictionaryWords number(1, 0),
	minAlphanumeric number(30,0),
	minLength number(30,0),
	minLowerCase number(30,0),
	minNumbers number(30,0),
	minSymbols number(30,0),
	minUpperCase number(30,0),
	regex VARCHAR2(75 CHAR) null,
	history number(1, 0),
	historyCount number(30,0),
	expireable number(1, 0),
	maxAge number(30,0),
	warningTime number(30,0),
	graceLimit number(30,0),
	lockout number(1, 0),
	maxFailure number(30,0),
	lockoutDuration number(30,0),
	requireUnlock number(1, 0),
	resetFailureCount number(30,0),
	resetTicketMaxAge number(30,0)
);

create table PasswordPolicyRel (
	mvccVersion number(30,0) default 0 not null,
	passwordPolicyRelId number(30,0) not null primary key,
	companyId number(30,0),
	passwordPolicyId number(30,0),
	classNameId number(30,0),
	classPK number(30,0)
);

create table PasswordTracker (
	mvccVersion number(30,0) default 0 not null,
	passwordTrackerId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	createDate timestamp null,
	password_ VARCHAR2(75 CHAR) null
);

create table Phone (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	phoneId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	number_ VARCHAR2(75 CHAR) null,
	extension VARCHAR2(75 CHAR) null,
	typeId number(30,0),
	primary_ number(1, 0)
);

create table PluginSetting (
	mvccVersion number(30,0) default 0 not null,
	pluginSettingId number(30,0) not null primary key,
	companyId number(30,0),
	pluginId VARCHAR2(75 CHAR) null,
	pluginType VARCHAR2(75 CHAR) null,
	roles varchar2(4000 char) null,
	active_ number(1, 0)
);

create table PortalPreferences (
	mvccVersion number(30,0) default 0 not null,
	portalPreferencesId number(30,0) not null primary key,
	ownerId number(30,0),
	ownerType number(30,0),
	preferences clob null
);

create table Portlet (
	mvccVersion number(30,0) default 0 not null,
	id_ number(30,0) not null primary key,
	companyId number(30,0),
	portletId VARCHAR2(200 CHAR) null,
	roles varchar2(4000 char) null,
	active_ number(1, 0)
);

create table PortletItem (
	mvccVersion number(30,0) default 0 not null,
	portletItemId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name VARCHAR2(75 CHAR) null,
	portletId VARCHAR2(200 CHAR) null,
	classNameId number(30,0)
);

create table PortletPreferences (
	mvccVersion number(30,0) default 0 not null,
	portletPreferencesId number(30,0) not null primary key,
	companyId number(30,0),
	ownerId number(30,0),
	ownerType number(30,0),
	plid number(30,0),
	portletId VARCHAR2(200 CHAR) null,
	preferences clob null
);

create table RatingsEntry (
	uuid_ VARCHAR2(75 CHAR) null,
	entryId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	score number(30,20)
);

create table RatingsStats (
	statsId number(30,0) not null primary key,
	companyId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	totalEntries number(30,0),
	totalScore number(30,20),
	averageScore number(30,20)
);

create table RecentLayoutBranch (
	mvccVersion number(30,0) default 0 not null,
	recentLayoutBranchId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	layoutBranchId number(30,0),
	layoutSetBranchId number(30,0),
	plid number(30,0)
);

create table RecentLayoutRevision (
	mvccVersion number(30,0) default 0 not null,
	recentLayoutRevisionId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	layoutRevisionId number(30,0),
	layoutSetBranchId number(30,0),
	plid number(30,0)
);

create table RecentLayoutSetBranch (
	mvccVersion number(30,0) default 0 not null,
	recentLayoutSetBranchId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	layoutSetBranchId number(30,0),
	layoutSetId number(30,0)
);

create table Region (
	mvccVersion number(30,0) default 0 not null,
	regionId number(30,0) not null primary key,
	countryId number(30,0),
	regionCode VARCHAR2(75 CHAR) null,
	name VARCHAR2(75 CHAR) null,
	active_ number(1, 0)
);

create table Release_ (
	mvccVersion number(30,0) default 0 not null,
	releaseId number(30,0) not null primary key,
	createDate timestamp null,
	modifiedDate timestamp null,
	servletContextName VARCHAR2(75 CHAR) null,
	schemaVersion VARCHAR2(75 CHAR) null,
	buildNumber number(30,0),
	buildDate timestamp null,
	verified number(1, 0),
	state_ number(30,0),
	testString VARCHAR2(1024 CHAR) null
);

create table Repository (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	repositoryId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	name VARCHAR2(200 CHAR) null,
	description varchar2(4000 char) null,
	portletId VARCHAR2(200 CHAR) null,
	typeSettings clob null,
	dlFolderId number(30,0),
	lastPublishDate timestamp null
);

create table RepositoryEntry (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	repositoryEntryId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	repositoryId number(30,0),
	mappedId VARCHAR2(255 CHAR) null,
	manualCheckInRequired number(1, 0),
	lastPublishDate timestamp null
);

create table ResourceAction (
	mvccVersion number(30,0) default 0 not null,
	resourceActionId number(30,0) not null primary key,
	name VARCHAR2(255 CHAR) null,
	actionId VARCHAR2(75 CHAR) null,
	bitwiseValue number(30,0)
);

create table ResourceBlock (
	mvccVersion number(30,0) default 0 not null,
	resourceBlockId number(30,0) not null primary key,
	companyId number(30,0),
	groupId number(30,0),
	name VARCHAR2(75 CHAR) null,
	permissionsHash VARCHAR2(75 CHAR) null,
	referenceCount number(30,0)
);

create table ResourceBlockPermission (
	mvccVersion number(30,0) default 0 not null,
	resourceBlockPermissionId number(30,0) not null primary key,
	companyId number(30,0),
	resourceBlockId number(30,0),
	roleId number(30,0),
	actionIds number(30,0)
);

create table ResourcePermission (
	mvccVersion number(30,0) default 0 not null,
	resourcePermissionId number(30,0) not null primary key,
	companyId number(30,0),
	name VARCHAR2(255 CHAR) null,
	scope number(30,0),
	primKey VARCHAR2(255 CHAR) null,
	primKeyId number(30,0),
	roleId number(30,0),
	ownerId number(30,0),
	actionIds number(30,0),
	viewActionId number(1, 0)
);

create table ResourceTypePermission (
	mvccVersion number(30,0) default 0 not null,
	resourceTypePermissionId number(30,0) not null primary key,
	companyId number(30,0),
	groupId number(30,0),
	name VARCHAR2(75 CHAR) null,
	roleId number(30,0),
	actionIds number(30,0)
);

create table Role_ (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	roleId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	name VARCHAR2(75 CHAR) null,
	title varchar2(4000 char) null,
	description varchar2(4000 char) null,
	type_ number(30,0),
	subtype VARCHAR2(75 CHAR) null
);

create table ServiceComponent (
	mvccVersion number(30,0) default 0 not null,
	serviceComponentId number(30,0) not null primary key,
	buildNamespace VARCHAR2(75 CHAR) null,
	buildNumber number(30,0),
	buildDate number(30,0),
	data_ clob null
);

create table SocialActivity (
	activityId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate number(30,0),
	activitySetId number(30,0),
	mirrorActivityId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	parentClassNameId number(30,0),
	parentClassPK number(30,0),
	type_ number(30,0),
	extraData varchar2(4000 char) null,
	receiverUserId number(30,0)
);

create table SocialActivityAchievement (
	activityAchievementId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate number(30,0),
	name VARCHAR2(75 CHAR) null,
	firstInGroup number(1, 0)
);

create table SocialActivityCounter (
	activityCounterId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	name VARCHAR2(75 CHAR) null,
	ownerType number(30,0),
	currentValue number(30,0),
	totalValue number(30,0),
	graceValue number(30,0),
	startPeriod number(30,0),
	endPeriod number(30,0),
	active_ number(1, 0)
);

create table SocialActivityLimit (
	activityLimitId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	activityType number(30,0),
	activityCounterName VARCHAR2(75 CHAR) null,
	value VARCHAR2(75 CHAR) null
);

create table SocialActivitySet (
	activitySetId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate number(30,0),
	modifiedDate number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	type_ number(30,0),
	extraData varchar2(4000 char) null,
	activityCount number(30,0)
);

create table SocialActivitySetting (
	activitySettingId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	classNameId number(30,0),
	activityType number(30,0),
	name VARCHAR2(75 CHAR) null,
	value VARCHAR2(1024 CHAR) null
);

create table SocialRelation (
	uuid_ VARCHAR2(75 CHAR) null,
	relationId number(30,0) not null primary key,
	companyId number(30,0),
	createDate number(30,0),
	userId1 number(30,0),
	userId2 number(30,0),
	type_ number(30,0)
);

create table SocialRequest (
	uuid_ VARCHAR2(75 CHAR) null,
	requestId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate number(30,0),
	modifiedDate number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	type_ number(30,0),
	extraData varchar2(4000 char) null,
	receiverUserId number(30,0),
	status number(30,0)
);

create table SystemEvent (
	mvccVersion number(30,0) default 0 not null,
	systemEventId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	classUuid VARCHAR2(75 CHAR) null,
	referrerClassNameId number(30,0),
	parentSystemEventId number(30,0),
	systemEventSetKey number(30,0),
	type_ number(30,0),
	extraData clob null
);

create table Team (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	teamId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	groupId number(30,0),
	name VARCHAR2(75 CHAR) null,
	description varchar2(4000 char) null,
	lastPublishDate timestamp null
);

create table Ticket (
	mvccVersion number(30,0) default 0 not null,
	ticketId number(30,0) not null primary key,
	companyId number(30,0),
	createDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	key_ VARCHAR2(75 CHAR) null,
	type_ number(30,0),
	extraInfo clob null,
	expirationDate timestamp null
);

create table UserNotificationDelivery (
	mvccVersion number(30,0) default 0 not null,
	userNotificationDeliveryId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	portletId VARCHAR2(200 CHAR) null,
	classNameId number(30,0),
	notificationType number(30,0),
	deliveryType number(30,0),
	deliver number(1, 0)
);

create table User_ (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	userId number(30,0) not null primary key,
	companyId number(30,0),
	createDate timestamp null,
	modifiedDate timestamp null,
	defaultUser number(1, 0),
	contactId number(30,0),
	password_ VARCHAR2(75 CHAR) null,
	passwordEncrypted number(1, 0),
	passwordReset number(1, 0),
	passwordModifiedDate timestamp null,
	digest VARCHAR2(255 CHAR) null,
	reminderQueryQuestion VARCHAR2(75 CHAR) null,
	reminderQueryAnswer VARCHAR2(75 CHAR) null,
	graceLoginCount number(30,0),
	screenName VARCHAR2(75 CHAR) null,
	emailAddress VARCHAR2(254 CHAR) null,
	facebookId number(30,0),
	googleUserId VARCHAR2(75 CHAR) null,
	ldapServerId number(30,0),
	openId VARCHAR2(1024 CHAR) null,
	portraitId number(30,0),
	languageId VARCHAR2(75 CHAR) null,
	timeZoneId VARCHAR2(75 CHAR) null,
	greeting VARCHAR2(255 CHAR) null,
	comments varchar2(4000 char) null,
	firstName VARCHAR2(75 CHAR) null,
	middleName VARCHAR2(75 CHAR) null,
	lastName VARCHAR2(75 CHAR) null,
	jobTitle VARCHAR2(100 CHAR) null,
	loginDate timestamp null,
	loginIP VARCHAR2(75 CHAR) null,
	lastLoginDate timestamp null,
	lastLoginIP VARCHAR2(75 CHAR) null,
	lastFailedLoginDate timestamp null,
	failedLoginAttempts number(30,0),
	lockout number(1, 0),
	lockoutDate timestamp null,
	agreedToTermsOfUse number(1, 0),
	emailAddressVerified number(1, 0),
	status number(30,0)
);

create table UserGroup (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	userGroupId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	parentUserGroupId number(30,0),
	name VARCHAR2(75 CHAR) null,
	description varchar2(4000 char) null,
	addedByLDAPImport number(1, 0)
);

create table UserGroupGroupRole (
	mvccVersion number(30,0) default 0 not null,
	userGroupId number(30,0) not null,
	groupId number(30,0) not null,
	roleId number(30,0) not null,
	companyId number(30,0),
	primary key (userGroupId, groupId, roleId)
);

create table UserGroupRole (
	mvccVersion number(30,0) default 0 not null,
	userId number(30,0) not null,
	groupId number(30,0) not null,
	roleId number(30,0) not null,
	companyId number(30,0),
	primary key (userId, groupId, roleId)
);

create table UserGroups_Teams (
	companyId number(30,0) not null,
	teamId number(30,0) not null,
	userGroupId number(30,0) not null,
	primary key (teamId, userGroupId)
);

create table UserIdMapper (
	mvccVersion number(30,0) default 0 not null,
	userIdMapperId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	type_ VARCHAR2(75 CHAR) null,
	description VARCHAR2(75 CHAR) null,
	externalUserId VARCHAR2(75 CHAR) null
);

create table UserNotificationEvent (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	userNotificationEventId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	type_ VARCHAR2(200 CHAR) null,
	timestamp number(30,0),
	deliveryType number(30,0),
	deliverBy number(30,0),
	delivered number(1, 0),
	payload clob null,
	actionRequired number(1, 0),
	archived number(1, 0)
);

create table Users_Groups (
	companyId number(30,0) not null,
	groupId number(30,0) not null,
	userId number(30,0) not null,
	primary key (groupId, userId)
);

create table Users_Orgs (
	companyId number(30,0) not null,
	organizationId number(30,0) not null,
	userId number(30,0) not null,
	primary key (organizationId, userId)
);

create table Users_Roles (
	companyId number(30,0) not null,
	roleId number(30,0) not null,
	userId number(30,0) not null,
	primary key (roleId, userId)
);

create table Users_Teams (
	companyId number(30,0) not null,
	teamId number(30,0) not null,
	userId number(30,0) not null,
	primary key (teamId, userId)
);

create table Users_UserGroups (
	companyId number(30,0) not null,
	userId number(30,0) not null,
	userGroupId number(30,0) not null,
	primary key (userId, userGroupId)
);

create table UserTracker (
	mvccVersion number(30,0) default 0 not null,
	userTrackerId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	modifiedDate timestamp null,
	sessionId VARCHAR2(200 CHAR) null,
	remoteAddr VARCHAR2(75 CHAR) null,
	remoteHost VARCHAR2(75 CHAR) null,
	userAgent VARCHAR2(200 CHAR) null
);

create table UserTrackerPath (
	mvccVersion number(30,0) default 0 not null,
	userTrackerPathId number(30,0) not null primary key,
	companyId number(30,0),
	userTrackerId number(30,0),
	path_ varchar2(4000 char) null,
	pathDate timestamp null
);

create table VirtualHost (
	mvccVersion number(30,0) default 0 not null,
	virtualHostId number(30,0) not null primary key,
	companyId number(30,0),
	layoutSetId number(30,0),
	hostname VARCHAR2(200 CHAR) null
);

create table WebDAVProps (
	mvccVersion number(30,0) default 0 not null,
	webDavPropsId number(30,0) not null primary key,
	companyId number(30,0),
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	props clob null
);

create table Website (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	websiteId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	url varchar2(4000 char) null,
	typeId number(30,0),
	primary_ number(1, 0),
	lastPublishDate timestamp null
);

create table WorkflowDefinitionLink (
	mvccVersion number(30,0) default 0 not null,
	workflowDefinitionLinkId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	typePK number(30,0),
	workflowDefinitionName VARCHAR2(75 CHAR) null,
	workflowDefinitionVersion number(30,0)
);

create table WorkflowInstanceLink (
	mvccVersion number(30,0) default 0 not null,
	workflowInstanceLinkId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	workflowInstanceId number(30,0)
);
